Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.map.client.tiles
Class ImagesNodeTile

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  com.maryanovsky.map.client.Tile
                      com.maryanovsky.map.client.tiles.NodeTile
                          com.maryanovsky.map.client.tiles.ImagesNodeTile

All Implemented Interfaces:
  HasAttachHandlers, HasHandlers, EventListener, HasVisibility, IsRenderable, IsWidget

    public class ImagesNodeTile

extends NodeTile

A `NodeTile` where the node contains no dynamic content other than images loaded via an IMG element.

Author:
  Maryanovsky Alexander

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`ImagesNodeTile(Node node, SizeView tileSize)` Creates a new `ImagesNodeTile` with the specified content node and tile size.

Method Summary
`protected boolean` | `isReallyReady(Element imageElement)` Invoked when a child image element sends a load event.
`void` | `setTileSizePixels(int width, int height)` Resize the tile by setting width and height attributes on all the images.

Methods inherited from class com.maryanovsky.map.client.tiles.NodeTile
`cancelLoading, getNode, startLoading`

Methods inherited from class com.maryanovsky.map.client.Tile
`isReady, markReady, markUnready, setReadyListener`

Methods inherited from class com.google.gwt.user.client.ui.Composite
`getWidget, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, performDetachedInitialization, render, render, resolvePotentialElement, setWidget, wrapElement`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImagesNodeTile

    public ImagesNodeTile(Node node,
                          SizeView tileSize)

  Creates a new `ImagesNodeTile` with the specified content node and tile size.

Method Detail

### isReallyReady

    protected boolean isReallyReady(Element imageElement)

  Invoked when a child image element sends a load event. Returns whether the element is really loaded. This is needed because in some cases (Google Maps, for example) an image element in a tile may load several images before becoming fully ready. The default implementation always returns `true`.

### setTileSizePixels

    public void setTileSizePixels(int width,
                                  int height)

  Resize the tile by setting width and height attributes on all the images.

  Overrides:
    `setTileSizePixels` in class `NodeTile`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD